Delete a meeting
curl --request DELETE \
--url https://api.attio.com/v2/meetings/{meeting_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/meetings/{meeting_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/meetings/{meeting_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status_code": 400,
"type": "invalid_request_error",
"code": "system_edit_unauthorized",
"message": "Cannot delete a meeting which was created by calendar sync."
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Meeting with ID \"cb59ab17-ad15-460c-a126-0715617c0853\" was not found."
}Meetings
Delete a meeting
Deletes a single meeting by ID.
Meetings created by calendar sync cannot be deleted through the API. Delete the underlying calendar event, or disconnect the calendar, instead.
This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.
Required scopes: meeting:read-write.
Supported token levels: workspace, user.
DELETE
/
v2
/
meetings
/
{meeting_id}
Delete a meeting
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
FlowAuthorization Code
- Authorization URL
- https://app.attio.com/authorize
- Token URL
- https://app.attio.com/oauth/token
Scopes1
meeting:read-write
View, and optionally write, meetings.
Path Parameters
A UUID which identifies the meeting to delete.
Example:
"cb59ab17-ad15-460c-a126-0715617c0853"
Response
Success
Success
Was this page helpful?